org.apache.maven.artifact.repository.metadata

## Class SnapshotArtifactRepositoryMetadata

- java.lang.Object
- - org.apache.maven.artifact.repository.metadata.AbstractRepositoryMetadata
  - - org.apache.maven.artifact.repository.metadata.SnapshotArtifactRepositoryMetadata

- All Implemented Interfaces:
    ArtifactMetadata, RepositoryMetadata

      public class SnapshotArtifactRepositoryMetadata
      extends AbstractRepositoryMetadata

  Metadata for the artifact version directory of the repository.
  Version:
    $Id: SnapshotArtifactRepositoryMetadata.java 640549 2008-03-24 20:05:11Z bentmann $
  Author:
    Brett Porter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnapshotArtifactRepositoryMetadata(Artifact artifact)`
    `SnapshotArtifactRepositoryMetadata(Artifact artifact, Snapshot snapshot)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getArtifactId()`
    `java.lang.String` | `getBaseVersion()`
    `java.lang.String` | `getGroupId()`
    `java.lang.Object` | `getKey()`
    `boolean` | `isSnapshot()` Whether this represents a snapshot.
    `void` | `setRepository(ArtifactRepository remoteRepository)` Set the repository the metadata was located in.
    `boolean` | `storedInArtifactVersionDirectory()` Whether this metadata should be stored alongside the artifact.
    `boolean` | `storedInGroupDirectory()` Whether this metadata should be stored alongside the group.

    - ### Methods inherited from class org.apache.maven.artifact.repository.metadata.AbstractRepositoryMetadata

      `createMetadata, createVersioning, extendedToString, getLocalFilename, getMetadata, getRemoteFilename, merge, setMetadata, storeInLocalRepository, toString, updateRepositoryMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SnapshotArtifactRepositoryMetadata

          public SnapshotArtifactRepositoryMetadata(Artifact artifact)

    - #### SnapshotArtifactRepositoryMetadata

          public SnapshotArtifactRepositoryMetadata(Artifact artifact,
                                            Snapshot snapshot)

  - ### Method Detail

    - #### storedInGroupDirectory

          public boolean storedInGroupDirectory()

      Description copied from interface: `ArtifactMetadata`
      Whether this metadata should be stored alongside the group.

    - #### storedInArtifactVersionDirectory

          public boolean storedInArtifactVersionDirectory()

      Description copied from interface: `ArtifactMetadata`
      Whether this metadata should be stored alongside the artifact.

    - #### getGroupId

          public java.lang.String getGroupId()

    - #### getArtifactId

          public java.lang.String getArtifactId()

    - #### getBaseVersion

          public java.lang.String getBaseVersion()

    - #### getKey

          public java.lang.Object getKey()

    - #### isSnapshot

          public boolean isSnapshot()

      Description copied from interface: `RepositoryMetadata`
      Whether this represents a snapshot.
      Returns:
        if it is a snapshot

    - #### setRepository

          public void setRepository(ArtifactRepository remoteRepository)

      Description copied from interface: `RepositoryMetadata`
      Set the repository the metadata was located in.
      Parameters:
        `remoteRepository` - the repository